# BASTA: BAyesian STellar Algorithm

[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
[![Documentation Status](https://readthedocs.org/projects/basta/badge/?version=latest)](https://basta.readthedocs.io/en/latest/?badge=latest)
[![arXiv](https://img.shields.io/badge/arXiv-2109.14622-b31b1b.svg)](https://arxiv.org/abs/2109.14622)

Current stable version: v1.1.1

**Important note:** BASTA is developed for Python 3.9, but Python >= 3.7 should work as well.


## Before you begin

*Please follow the repository here on GitHub to get notifications on new
releases: Click "Watch" then "Custom" and tick "Releases.*

Please have a look at [our documentation](https://basta.readthedocs.io/en/latest/index.html#).

There we have written a guide [guide to installing
BASTA](https://basta.readthedocs.io/en/latest/install.html).

On there, you will also find an [introduction to running
BASTA](https://basta.readthedocs.io/en/latest/running.html).

If you are curious on what BASTA can do, we have created several [fitting
examples](https://basta.readthedocs.io/en/latest/examples.html) and the exact
code to run them available.


## References and acknowledgments

There are two papers containing the rationale, main features, and capabilities
of the code:

* [The BASTA paper I](https://ui.adsabs.harvard.edu/abs/2015MNRAS.452.2127S/abstract).
* [The BASTA paper II](https://arxiv.org/abs/2109.14622).

Please consider citing these references if you use BASTA in your work, and
include the link to the code's repository `https://github.com/BASTAcode/BASTA`.

Due to its versatility, BASTA is used in a large variety of studies requiring
robust determination of fundamental stellar properties. We have compiled a
(non-exhaustive) [list of papers using BASTA
results](https://ui.adsabs.harvard.edu/public-libraries/x2tCt52HR_yqG-oaUabo_A)
that showcases these applications. If your paper using BASTA results is missing
from the list please contact us.


## Authors

The current core developing team are:

* Víctor Aguirre Børsen-Koch
* Jakob Lysgaard Rørsted
* Mark Lykke Winther
* Amalie Stokholm
* Kuldeep Verma

Throughout the years, many people have contributed to the addition and
development of various parts and modules of BASTA. We welcome further
contributions from the community as well as issues reporting. Please look at the
[contribution section](https://basta.readthedocs.io/en/latest/contributing.html)
in the documentation for further details.
